#pragma once

#include <SFML/Graphics.hpp>
#include <SFML/Audio.hpp>
#include "AnimatedSprite.hpp"
#include "IEntity.hpp"
#include "Renderer.hpp"
#include "Collider.hpp"

using namespace sf;

#define HOPS 10

class Player: public AnimatedSprite, public IEntity {
public:
	Player() = delete;
	Player(Collider* collider);
	virtual ~Player();
	void update(float delta) override;
	bool isDead() const {
		return m_dead;
	}
	void revive();
	void turboBoost();
private:
	Collider* m_collider;
	bool m_dead;
	bool m_jumping;
	float m_ms;
	sf::Sound m_hop;
};